screenshot › codeScheme
Type: <string>
Default: 'atom-dark'
Default: 'atom-dark'
It enables code syntax highlighting to beautify HTML markup under JSON/Text content type over the target url.
The following examples show how to use the Microlink API with CLI, cURL, JavaScript, Python, Ruby, PHP & Golang, targeting 'https://emojipedia-api.vercel.app' URL with 'screenshot' API parameter:
CLI Microlink API example
microlink https://emojipedia-api.vercel.app&screenshot.codeScheme=automad-dark&screenshot.styles='span { line-height: 2 }'cURL Microlink API example
curl -G "https://api.microlink.io" \
-d "url=https://emojipedia-api.vercel.app" \
-d "screenshot.codeScheme=automad-dark" \
-d "screenshot.styles=span%20%7B%20line-height%3A%202%20%7D"JavaScript Microlink API example
import mql from '@microlink/mql'
const { data } = await mql('https://emojipedia-api.vercel.app', {
screenshot: {
codeScheme: "automad-dark",
styles: [
"span { line-height: 2 }"
]
}
})Python Microlink API example
import requests
url = "https://api.microlink.io/"
querystring = {
"url": "https://emojipedia-api.vercel.app",
"screenshot.codeScheme": "automad-dark",
"screenshot.styles": "span { line-height: 2 }"
}
response = requests.get(url, params=querystring)
print(response.json())Ruby Microlink API example
require 'uri'
require 'net/http'
base_url = "https://api.microlink.io/"
params = {
url: "https://emojipedia-api.vercel.app",
screenshot.codeScheme: "automad-dark",
screenshot.styles: "span { line-height: 2 }"
}
uri = URI(base_url)
uri.query = URI.encode_www_form(params)
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
response = http.request(request)
puts response.bodyPHP Microlink API example
<?php
$baseUrl = "https://api.microlink.io/";
$params = [
"url" => "https://emojipedia-api.vercel.app",
"screenshot.codeScheme" => "automad-dark",
"screenshot.styles" => "span { line-height: 2 }"
];
$query = http_build_query($params);
$url = $baseUrl . '?' . $query;
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET"
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #: " . $err;
} else {
echo $response;
}Golang Microlink API example
package main
import (
"fmt"
"net/http"
"net/url"
"io"
)
func main() {
baseURL := "https://api.microlink.io"
u, err := url.Parse(baseURL)
if err != nil {
panic(err)
}
q := u.Query()
q.Set("url", "https://emojipedia-api.vercel.app")
q.Set("screenshot.codeScheme", "automad-dark")
q.Set("screenshot.styles", "span { line-height: 2 }")
u.RawQuery = q.Encode()
req, err := http.NewRequest("GET", u.String(), nil)
if err != nil {
panic(err)
}
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(body))
}import mql from '@microlink/mql'
const { data } = await mql('https://emojipedia-api.vercel.app', {
screenshot: {
codeScheme: "automad-dark",
styles: [
"span { line-height: 2 }"
]
}
})The theme can be defined as:
- An automad-prism-themesidentifier (e.g., 'github').
- A remote URL (e.g., 'https://unpkg.com/prism-theme-night-owl').
You can also customize any theme passing your own styles rules.
Theme previews
Combo themes
Combo themes bundle two coordinated styles under one name: a light variant and a dark variant. The light variant is the default.
To keep mode switching explicit and app-controlled, combo themes ignore
prefers-color-scheme. Dark styles are activated when any of these selectors match:html[class*="dark-"]enables dark mode whenever thehtmlelement has a class containing"dark-".html[class*="-dark"]enables dark mode whenever thehtmlelement has a class containing"-dark"..darkenables dark mode for any element nested inside a container with the"dark"class.
- AutomadLight / Dark
- Atom OneLight / Dark
- AyuLight / Dark
- Ayu MirageLight / Dark
- Bearded Arc BlueberryLight / Dark
- BoolaLight / Dark
- Catppuccin FrappeLight / Dark
- Catppuccin MacchiatoLight / Dark
- Catppuccin MochaLight / Dark
- ColdarkLight / Dark
- GitHubLight / Dark
- GruvboxLight / Dark
- Night OwlLight / Dark
- Rose PineLight / Dark
- Serendipity MidnightLight / Dark
- Serendipity SunsetLight / Dark
- Tailwind Moon BlueLight / Dark
- Tokyo NightLight / Dark
- Tokyo Night StormLight / Dark
- VerdandiLight / Dark
Single themes
Use single themes when you want one fixed code style, regardless of light/dark mode.
Set
screenshot.codeScheme to any identifier below (for example, 'gruvbox-dark' or 'night-owl').- Atom Dark
- Atom One Dark
- Atom One Light
- Aura Dark
- Automad Dark
- Automad Light
- Ayu Dark
- Ayu Light
- Ayu Mirage
- Bearded Arc Blueberry
- Bearded Vivid Light
- Boola Dark
- Boola Light
- Catppuccin Frappe
- Catppuccin Latte
- Catppuccin Macchiato
- Catppuccin Mocha
- Coldark Cold
- Coldark Dark
- Dark Frost
- Dark Space
- Dracula
- Duotone Dark
- Duotone Earth
- Duotone Forest
- Duotone Light
- Duotone Sea
- Duotone Space
- Github Dark
- Github Light
- Gruvbox Dark
- Gruvbox Light
- Laserwave
- Night Owl Light
- Night Owl
- Nightfall
- Nord
- Panda
- Poimandres
- Rose Pine Dawn
- Rose Pine
- Sakura Sun
- Sea Shells Dark
- Serendipity Midnight
- Serendipity Morning
- Serendipity Sunset
- Shades Of Purple
- Solarized Dark Atom
- Synthwave84
- Tailwind Ice
- Tailwind Moon Blue
- Tokyo Night Light
- Tokyo Night Storm
- Tokyo Night
- Verdandi Alter
- Verdandi
- Violet Dream
- Vsc Dark Plus